[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| OOB_PerTreeError [Machine Learning] |

`#include <vigra/random_forest/rf_visitors.hxx>`

Inheritance diagram for OOB_PerTreeError:

List of all members.

## Public Member Functions
template<class RF, class PR, class SM, class ST>
void | visit_after_tree (RF &rf, PR &pr, SM &sm, ST &st, int index)
template<class RF, class PR>
void | visit_at_end (RF &rf, PR &pr)
## Public Attributes
double | oobError

## Detailed Description

Visitor that calculates the oob error of each individual randomized decision tree.

After training a tree, all those samples that are OOB for this particular tree are put down the tree and the error estimated. the per tree oob error is the average of the individual error estimates. (oobError = average error of one randomized tree) Note: This is Not the OOB - Error estimate suggested by Breiman (See OOB_Error visitor)

## Member Data Documentation

double oobError

Average error of one randomized decision tree

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_visitors.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (3 Dec 2010)